> ## Documentation Index
> Fetch the complete documentation index at: https://docs-staging-quickstart-revamp.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

> Learn how to customize SMS and voice messages sent by Auth0 during enrollment and verification.

# Customize Multi-factor Authentication SMS and Voice Messages

You can customize SMS and voice messages sent by Auth0 during enrollment (when associating a device to Guardian) and verification (when an authentication message is sent to the device):

1. Go to [Dashboard > Security > Multi-factor Auth](https://manage.auth0.com/#/security/mfa), and click **Phone Message**.
2. Customize your message templates, and click **Save**.

You can customize templates for two message types:

* **Enrollment**: Message sent by Auth0 during device enrollment.
* **Verification**: Message sent by Auth0 to verify the possession of the device.

## Syntax

[Liquid](https://github.com/Shopify/liquid/wiki/Liquid-for-Designers) syntax is the supported templating engine you use when accessing user attributes in SMS templates. The following attributes are available:

<table class="table">
  <thead>
    <tr>
      <th>Attribute</th>
      <th>Description</th>
    </tr>
  </thead>

  <tbody>
    <tr>
      <td><code>message\_type</code></td>
      <td>Indicates which kind of message is sent; <code>sms</code> or <code>voice</code>.</td>
    </tr>

    <tr>
      <td><code>code</code></td>
      <td>Enrollment/verification code. When sending voice messages. Variable values are separated by dots between the digits (<code>1.2.3.4.5</code>) so it can be pronounced accurately by voice messaging providers.</td>
    </tr>

    <tr>
      <td><code>locale</code></td>
      <td>For Universal Login or MFA API. Designates the language.</td>
    </tr>

    <tr>
      <td><code>requestInfo.lang</code></td>
      <td>For Classic Login localization. Browser accept-language header. For example: <code>es-AR,es;q=8.0</code>, <code>en-US,en</code>.</td>
    </tr>

    <tr>
      <td><code>tenant.friendlyName</code></td>
      <td>The <strong>Friendly Name</strong> set in <strong>Dashboard > Tenant Settings</strong>.</td>
    </tr>
  </tbody>
</table>

## Example

```liquid lines
{% if message_type == "voice" %}
  {% if locale contains "fr" %}
  Bonjour, vous avez demandé à recevoir un code de vérification pour vous enregister avec {{tenant.friendly_name}}. Votre code est: {{pause}} {{code}}. Je répète, votre code est: {{pause}}{{code}}.
  {% elsif locale contains "es" %}
  Usted ha requerido un código de verificación para inscribirse con {{tenant.friendly_name}}. Su código es: {{pause}}{{code}}. Repito, su código es: {{pause}}{{code}}.
  {% else %}
  Hello, you requested a verification code to enroll with {{tenant.friendly_name}}. Your code is: {{pause}}{{code}}. I repeat, your code is: {{pause}}{{code}}.
  {% endif %}
{% else %}
  {% if locale contains "fr" %}
  {{code}} est votre code de vérification pour vous enregistrer avec {{tenant.friendly_name}}.
  {% elsif locale contains "es" %}
  {{code}} es su código para inscribirse con {{tenant.friendly_name}}.
  {% else %}
  {{code}} is your verification code to enroll with {{tenant.friendly_name}}.
  {% endif %}
{% endif %}
```

## Localization

The endpoints support the `x-request-language` header and you can use it to send the locale. See [Multi-Language Support](/docs/authenticate/passwordless/authentication-methods/sms-otp#multi-language-support) for details.

This is also supported in the <Tooltip tip="Multi-factor authentication (MFA): User authentication process that uses a factor in addition to username and password such as a code via SMS." cta="View Glossary" href="/docs/glossary?term=MFA">MFA</Tooltip> API (`POST /mfa/associate` and `POST /mfa/challenge` endpoints). When it's sent, that locale will be available in the `locale` variable in the MFA SMS/voice template.

You must also select those languages in **Tenant > Settings** (under **Supported Languages**) for this to work.

## Learn more

* [Multi-Factor Authentication (MFA)](/docs/secure/multi-factor-authentication)
* [Configure SMS and Voice Notifications for MFA](/docs/secure/multi-factor-authentication/multi-factor-authentication-factors/configure-sms-voice-notifications-mfa)
* [Enroll and Challenge SMS and Voice Authenticators](/docs/secure/multi-factor-authentication/authenticate-using-ropg-flow-with-mfa/enroll-challenge-sms-voice-authenticators)
